package com.shanghaichengdi.ghjgitem.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * @TableName SYS_DATASHARE_SERVICE_NEW
 */
@TableName(value = "SYS_DATASHARE_SERVICE_NEW")
@Data
public class SysDatashareServiceNew implements Serializable {

  @TableField(exist = false)
  private static final long serialVersionUID = 1L;
  /**
   *
   */
  @TableField(value = "ID")
  private Long id;
  /**
   *
   */
  @TableField(value = "NAME")
  private String name;
  /**
   *
   */
  @TableField(value = "ACCESSLEVEL")
  private Long accesslevel;
  /**
   *
   */
  @TableField(value = "ISVALID")
  private Long isvalid;
  /**
   *
   */
  @TableField(value = "DES")
  private String des;
  /**
   *
   */
  @TableField(value = "TYPE")
  private String type;

  @Override
  public boolean equals(Object that) {
    if (this == that) {
      return true;
    }
    if (that == null) {
      return false;
    }
    if (getClass() != that.getClass()) {
      return false;
    }
    SysDatashareServiceNew other = (SysDatashareServiceNew) that;
    return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
        && (this.getName() == null ? other.getName() == null
        : this.getName().equals(other.getName()))
        && (this.getAccesslevel() == null ? other.getAccesslevel() == null
        : this.getAccesslevel().equals(other.getAccesslevel()))
        && (this.getIsvalid() == null ? other.getIsvalid() == null
        : this.getIsvalid().equals(other.getIsvalid()))
        && (this.getDes() == null ? other.getDes() == null : this.getDes().equals(other.getDes()))
        && (this.getType() == null ? other.getType() == null
        : this.getType().equals(other.getType()));
  }

  @Override
  public int hashCode() {
    final int prime = 31;
    int result = 1;
    result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
    result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
    result = prime * result + ((getAccesslevel() == null) ? 0 : getAccesslevel().hashCode());
    result = prime * result + ((getIsvalid() == null) ? 0 : getIsvalid().hashCode());
    result = prime * result + ((getDes() == null) ? 0 : getDes().hashCode());
    result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
    return result;
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append(getClass().getSimpleName());
    sb.append(" [");
    sb.append("Hash = ").append(hashCode());
    sb.append(", id=").append(id);
    sb.append(", name=").append(name);
    sb.append(", accesslevel=").append(accesslevel);
    sb.append(", isvalid=").append(isvalid);
    sb.append(", des=").append(des);
    sb.append(", type=").append(type);
    sb.append(", serialVersionUID=").append(serialVersionUID);
    sb.append("]");
    return sb.toString();
  }
}